/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
// 業務アクセス結果クラス
// 
//
//	変更履歴
//	2004/01/08 新規作成	A.Kudoh 
package jp.co.ntt.lms.xms.common.mail;

import java.util.Vector;

import jp.co.ntt.lms.xmo.Mail.MailTemplateVO;
import jp.co.ntt.lms.xms.framework.XmsBusinessBean;
import jp.co.ntt.lms.xms.framework.XmsScreenBean;

/**
 * メールテンプレートの情報を保持する業務アクセス結果クラス。<br>
 *	
 * @author A.Kudoh
 */
public class MailTemplateBean extends XmsScreenBean implements XmsBusinessBean {

	/**
	 * テンプレートファイル一覧 <br>
	 */
	private Vector m_objTemplateList = new Vector();

	/**
	 * 置換キーワード一覧 <br>
	 */
	private Vector m_objKeywordList = new Vector();

	/**
	 * 選択テンプレートファイルパス<br>
	 */
	private String m_selectTemplatePath = "";

	/**
	 * テンプレートタイトル<br>
	 */
	private String m_title = "";
	
	/**
	 * 送信元メールアドレス<br>
	 */
	private String m_fromAddress = "";

	/**
	 * 題名<br>
	 */
	private String m_subject = "";

	/**
	 * 本文<br>
	 */
	private String m_body = "";


	/**
	 * エラーメッセージ。
	 */
	private String m_errorMessage;

	/**
	 * コンストラクタ。<br>
	 * 
	 */
	public MailTemplateBean() {
		m_errorMessage = null;
	}

// --- アクセッサメソッドを定義します。--- //
//	項目取得アクセッサ
	/**
	 * 選択メールテンプレートパスを取得する。<br>
	 * @return テンプレートパス。
	 */
	public String getTemplatePath()
	{
		return m_selectTemplatePath;
	}

	/**
	 * タイトルを取得する。<br>
	 * @return テンプレートパス。
	 */
	public String getTemplateTitle()
	{
		return m_title;
	}

	/**
	 * 送信元メールアドレスを取得する。<br>
	 * @return 送信元メールアドレス。
	 */
	public String getFromAddress()
	{
		return m_fromAddress;
	}

	/**
	 * 題名を取得する。<br>
	 * @return 題名。
	 */
	public String getSubject()
	{
		return m_subject;
	}

	/**
	 * 本文を取得する。<br>
	 * @return 本文。
	 */
	public String getBody()
	{
		return m_body;
	}

	/**
	 * テンプレートファイル一覧を取得する。 <br>
	 * @return テンプレートファイル一覧。
	 */
	public Vector getTemplateList()
	{
		return m_objTemplateList;
	}

	/**
	 * 置換キーワード一覧を取得する。 <br>
	 * @return 置換キーワード一覧。
	 */
	public Vector getChangeKeywordList()
	{
		return m_objKeywordList;
	}

	/**
	 * エラーメッセージを取得する。<br>
	 * @return エラーメッセージ。
	 */
	public String getErrorMessage() {
		return m_errorMessage;
	}

//	項目設定アクセッサ
	/**
	 * テンプレートファイル一覧を設定する。 <br>
	 * @param objTempList テンプレートファイル一覧
	 * @return なし
	 */
	public void setTemplateList( Vector objTempList )
	{
		m_objTemplateList = objTempList;
		return;
	}

	/**
	 * テンプレートファイルの内容を設定する。 <br>
	 * @param voMailInfo テンプレート情報
	 * @return なし
	 */
	public void setTemplateInfo( MailTemplateVO voMailInfo )
	{
		m_title		  = voMailInfo.getTitle();
		m_subject	  = voMailInfo.getSubject();
		m_fromAddress = voMailInfo.getFromAddress();
		m_body		  = voMailInfo.getBody();
		setErrorMessage( voMailInfo.getErrMsg() );
		return;
	}

	/**
	 * 置換キーワード一覧を取得する。 <br>
	 * @return 置換キーワード一覧。
	 */
	public void setChangeKeywordList( Vector vcKeywordList )
	{
		m_objKeywordList = vcKeywordList;
		return;
	}

	/**
	 * エラーメッセージを設定する。 <br>
	 * @param strErrorMsg エラーメッセージ
	 * @return なし
	 */
	public void setErrorMessage( String strErrorMsg )
	{
		m_errorMessage = strErrorMsg;
		return;
	}
	


}
